import '../../stencil.core';
import '../../stencil.core';
import { BaseWebcomponent } from '../../lib/base/base-webcomponent';
import { BaseApi, ConfigService, TranslateService } from '../../lib/index';
import { HttpService } from '../../lib/rx/http/http-service';
export declare class AppDev extends BaseWebcomponent {
    private app;
    api: BaseApi;
    http: HttpService;
    config: ConfigService;
    translation: TranslateService;
    data: any;
    authenticated: boolean;
    clientId: string;
    constructor();
    runTests(): Promise<void>;
    debuggerTest(): void;
    componentDidLoad(): void;
    render(): JSX.Element;
}
